<?php

if (!file_exists('example.html')) {
	die('Please create or download example.html file. (https://htmlpdfapi.com/examples/example.html)');
}

// For PHP < 5.5:
if (!function_exists('curl_file_create')) {
	function curl_file_create($filename, $mimetype = '', $postname = '') {
		return "@$filename;filename="
			. ($postname ? $postname : basename($filename))
			. ($mimetype ? ";type=$mimetype" : '');
	}
}

// Get cURL resource
$curl = curl_init();

// Set some options
curl_setopt_array($curl, array(
	CURLOPT_HTTPHEADER => array(
		'Authentication: Token <your token>', // Don't forget to change the token!!!
	),
	CURLOPT_RETURNTRANSFER => 1,
	CURLOPT_URL => 'https://htmlpdfapi.com/api/v1/pdf',
	CURLOPT_POST => 1,

	// URL
	CURLOPT_POSTFIELDS => array(
		'file' => curl_file_create('example.html'),
	),
));

// Send the request & save response to $resp
$resp = curl_exec($curl);

//Save file
file_put_contents('result.pdf', $resp);

// Close request to clear up some resources
curl_close($curl);
